//-----------------------------------------------------------------------------
//  (c) 2005 by Basler Vision Technologies
//  Section: Vision Components
//  Project: GenApiTest
//    Author:  Fritz Dierks
//  $Header$
//-----------------------------------------------------------------------------
/*!
\file
*/


#ifndef __PERSISTENCETEST_H
#define __PERSISTENCETEST_H

#include "GenApiTest.h"

/**
\brief Tests node persistence
*/
class PersistenceTestSuite : public CPPUNIT_NS::TestCaseEx
{
    CPPUNIT_TEST_SUITE( PersistenceTestSuite );
        CPPUNITEX_TEST( TestSimple );
        CPPUNITEX_TEST( TestSelector );
        CPPUNITEX_TEST( TestAccessMode );
        CPPUNITEX_TEST( TestMisc );
        CPPUNITEX_TEST( FailBit_Mantis356 );
        CPPUNITEX_TEST( LongFeatures_Mantis356 );
        CPPUNITEX_TEST( TestEnumerationSelector );
        CPPUNITEX_TEST( TestEnumerationSelectorSelector );
        CPPUNITEX_TEST( TestRecursionBreaker );
        CPPUNITEX_TEST( TestSelectorNotImplemented_1 );
        CPPUNITEX_TEST( TestSelectorNotImplemented_2 );
        CPPUNITEX_TEST( TestSelectorNotImplemented_3 );
        CPPUNITEX_TEST( TestSelectorNotImplemented_4 );
        CPPUNITEX_TEST( TestSelectorNotImplemented_5 );
        CPPUNITEX_TEST( TestSelectorNotImplemented_6 );
    CPPUNIT_TEST_SUITE_END();

public:
    //! Tests simple lists of nodes
    void TestSimple();

    //! Tests selector
    void TestSelector();

   //! Access mode related tests
    void TestAccessMode();

    //! Miscellaneous tests
    void TestMisc();

    //! Test if the fail Bit of a stream is set, even if read operation was OK!
    void FailBit_Mantis356();

    //! Test feature with value attribute containing more than 1024 Bytes
    void LongFeatures_Mantis356();

    //! Test enumeration selector
    void TestEnumerationSelector();
    
    //! Tests selector selecting an enumeration selector
    void TestEnumerationSelectorSelector();

    //! Tests if recursion detection in GetSelectingFeatures() works
    void TestRecursionBreaker();

    //! Tests if a feature is serialized correctly when a selector is not implemented (Test for Trac #677)
    void TestSelectorNotImplemented_1();

    //! Tests if a feature is serialized correctly when a selector is not implemented (Test for Trac #677)
    void TestSelectorNotImplemented_2();

    //! Tests if a feature is serialized correctly when a selector is not implemented (Test for Trac #677)
    void TestSelectorNotImplemented_3();

    //! Tests if a feature is serialized correctly when a selector is not implemented (Test for Trac #677)
    void TestSelectorNotImplemented_4();

    //! Tests if a feature is serialized correctly when a selector is not implemented (Test for Trac #677)
    void TestSelectorNotImplemented_5();

    //! Tests if a feature is serialized correctly when a selector is not implemented (Test for Trac #677)
    void TestSelectorNotImplemented_6();

};

#endif // __PERSISTENCETEST_H
